Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.tools.dbloader
Class DomUtils

    java.lang.Object
      org.jasig.portal.tools.dbloader.DomUtils

     class DomUtils

extends java.lang.Object

Utility class centralizing various DOM related functions used during loading of the database.

Version:
  $Revision: 1.3 $
Author:
  Ken Weiner, kweiner@unicon.net, Mark Boyd

Constructor Summary
`DomUtils()`

Method Summary
`private static org.w3c.dom.Element` | `getFirstChildWithName(org.w3c.dom.Element parent, java.lang.String name)`
`(package private) static int` | `getJavaSqlDataTypeOfColumn(Configuration config, java.lang.String tableName, java.lang.String columnName)`
`private static java.lang.String` | `getNodeValue(org.w3c.dom.Node node)`
`private static org.w3c.dom.Element` | `getTableWithName(org.w3c.dom.Document tablesDoc, java.lang.String tableName)`
`(package private) static void` | `replaceDataTypes(Configuration config, org.w3c.dom.Document tablesDoc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DomUtils

    DomUtils()

Method Detail

### replaceDataTypes

    static void replaceDataTypes(Configuration config,
                                 org.w3c.dom.Document tablesDoc)

### getNodeValue

    private static java.lang.String getNodeValue(org.w3c.dom.Node node)

### getTableWithName

    private static org.w3c.dom.Element getTableWithName(org.w3c.dom.Document tablesDoc,
                                                        java.lang.String tableName)

### getJavaSqlDataTypeOfColumn

    static int getJavaSqlDataTypeOfColumn(Configuration config,
                                          java.lang.String tableName,
                                          java.lang.String columnName)

### getFirstChildWithName

    private static org.w3c.dom.Element getFirstChildWithName(org.w3c.dom.Element parent,
                                                             java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD